#!/bin/ksh -x

if [ -z "$CANDLEHOME" ]
then
  echo "CANDLEHOME not set.  Cannot continue patch process unless CANDLEHOME is set."
  exit 1
else
  LOG=${CANDLEHOME%/}/patchlogs
  LOG=$LOG/6.3.0-TIV-ITM-FP0001-IV43893.log
  me=${0##*/}
  BACKUPFILE=ksy_sol283_tema_pre-iv43893.tar
  BACKUPDIR=${CANDLEHOME%/}/InstallITM/prov/06300100
  here=$(pwd)

  echo `date`": Running $me" >> $LOG
  echo "Set values:" >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG
  set >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG

  rc=0
  mkdir -p $BACKUPDIR >/dev/null 2>&1
  if [ -d $BACKUPDIR ]
  then
     if [ ! -f $BACKUPDIR/$BACKUPFILE ]
     then
        mkdir backup >/dev/null 2>&1 && cd backup
        rc=$?
        if [ $rc -eq 0 ]
        then
           cp $here/patch.undo patch.ini 
           cp $here/undo_ver.sh .
           ln -s ${CANDLEHOME%/} updated_files
           tar -cf $BACKUPDIR/$BACKUPFILE patch.ini undo_ver.sh $(sed -e "s#^#updated_files/#" $here/manifest)
           rc=$?
           if [ $rc -eq 0 ]
           then
              echo "Success backing up to $BACKUPDIR/$BACKUPFILE prior to applying patch" >>$LOG
           else
              rm $BACKUPDIR/$BACKUPFILE >/dev/null 2>&1
              echo "Failure backing up to $BACKUPDIR/$BACKUPFILE prior to applying patch" >>$LOG
           fi
           rm updated_files
        else
           echo "Error preparing to back up to $BACKUPDIR/$BACKUPFILE prior to applying patch" >>$LOG
        fi
     else
          echo "$BACKUPDIR/$BACKUPFILE already exists so it appears this patch" >>$LOG
          echo "has been applied before.  No need to backup files again." >>$LOG
     fi
  else
     echo "WARNING could not create backup location: $BACKUPDIR, to archive files before applying patch" >>$LOG
     rc=1
  fi
  echo "---------------------------------------------------------------------" >> $LOG
  echo    Exit $me >>$LOG
  echo "---------------------------------------------------------------------" >> $LOG
fi
exit $rc
