#!/bin/ksh -x

if [ -z "$CANDLEHOME" ]
then
  echo "CANDLEHOME not set.  Cannot process ver file unless CANDLEHOME is set."
  exit 1
else
  LOG=${CANDLEHOME%/}/patchlogs
  LOG=$LOG/6.3.0-TIV-ITM-FP0001-IV43893.log

  me=${0##*/}
  echo `date`": Running $me" >> $LOG
  echo "Set values:" >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG
  set >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG


  VER_NAME=syaix536.ver
  FULL_NAME="${CANDLEHOME%/}/registry/$VER_NAME"
  echo "VER_NAME: $VER_NAME" >> $LOG
  echo "FULL_NAME: $FULL_NAME" >> $LOG

  ADD_LINE="PATCH=PROV|6.3.0-TIV-ITM-FP0001|IV43893"
  echo "ADD_LINE: $ADD_LINE" >> $LOG

  needToAdd=`grep $ADD_LINE $FULL_NAME`

  echo "needToAdd: $needToAdd" >> $LOG

  if [ "$needToAdd" = "" ]; then
  	# now we need to add that line to the ver file
  	echo "LINE NOT THERE - ADD IT" >> $LOG
  	echo $ADD_LINE >> $FULL_NAME
  fi
fi

